Subject: Re: [PATCH] Add bare repository indicator for __git_ps1

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Feb 2009 17:35:06 -0800

"Shawn O. Pearce" <[email-masked]> writes:

> Marius Storm-Olsen <[email-masked]> wrote:
>>
>> ^shrug^ at this point you and Junio can discuss what to do, as Junio  
>> already said
>>
>>   | "I do not understand the need for GIT_DIR! thing even
>>   |  less, but since we have that there already, I do not
>>   |  see a reason not to add this to the queue."
>>
>> And I have to agree with him. At this point, __git_ps1() is actually  
>> removing useful information from the prompt; at least it does for me.
>
> *sigh*
>
> OK.  I guess we include it then.
>
> Acked-by: Shawn O. Pearce <[email-masked]>

Reverting GIT_DIR! ugliness is certainly a possibility.  As long as people
who chdir into there are the only ones who suffer from the ugliness I do
not particularly care that much, though ;-)

Will apply anyway.